#include <avr/io.h>			/* Device specific include files */
#include "spi.h"

/* Initialize MMC control ports */
void init_spi (void)
{
	SPCR = 0b01011100;
	SPSR = 0b00000000;
}

/* Send a byte to the MMC */
void xmit_spi (BYTE d)
{
	SPDR = d;
	loop_until_bit_is_set(SPSR, SPIF);
}

/* Send a 0xFF to the MMC and get the received byte */
BYTE rcv_spi (void)
{
	SPDR = 0xff;
	loop_until_bit_is_set(SPSR, SPIF);
	return SPDR;
}

