
#ifndef _PC6031_DEFINED
#define _PC6031_DEFINED

#define	F_CPU		12000000UL
#include <util/delay.h>
#include "pff.h"

#define	LEDG_ON()		PORTB |=  _BV(0)			/* LEDΓ_ */
#define	LEDG_OFF()		PORTB &= ~_BV(0)			/* LEDΏ */
#define	LEDR_ON()		PORTB |=  _BV(1)			/* LEDԓ_ */
#define	LEDR_OFF()		PORTB &= ~_BV(1)			/* LEDԏ */

#define	IS_P6_RESET		( ((PIND & 0x0f) == 0x0f) && (PINC == 0xff) )		/* P6ZbgH */

#define	DNAMELEN	5			/* SDJ[h̃fBNg */
#define	FNAMELEN	20			/* SDJ[h̃t@CifBNg܂ށj */
#define	ENAMELEN	4			/* SDJ[h̃t@Cgq */
#define	DRVNUM		2			/* hCu */
#define	D1DIR		"D1"		/* hCu#1fBNg */
#define	D2DIR		"D2"		/* hCu#2fBNg */
#define	INI_FILE	"INIT"		/* t@C */

typedef struct {
	BYTE	mode[DRVNUM];				/* 1D(=0)/1DD(=1) [hݒ */
	char	dname[DRVNUM][DNAMELEN];	/* fBNg */
	char	fbody[DRVNUM][FNAMELEN];	/* t@CiW{Rj */
	char	fname[DRVNUM][FNAMELEN];	/* t@CiFATFspAtpXj */
	char	fext[DRVNUM][FNAMELEN];		/* t@Cgq */
	BYTE	writep[DRVNUM];				/* CgveNg(=1) */
	BYTE	air[DRVNUM];				/* SDFlashAir */
	BYTE	airw023[DRVNUM];			/* SDFlashAir W02/W03 */
} DISK_t;


#define	EEPROM_EXT	0x80		/* OtEEPROMԍ */
#define	EEPROM_AVR	0x81		/* AVREEPROMԍ */

#define	EXT_P31		"P31"		/* P31gq */
#define	EXT_DSK		"DSK"		/* DSKgq */
#define	EXT_D88		"D88"		/* D88gq */

#define	VER_NO		"111"		/* o[Wԍ */
#define	MODEL_NO	"SD"		/* @ԍ */

char* get_fname(char*, char*);	/* t@C؂o */
void PC6031_main(void);			/* PC6031C[v */

#endif	/* _PC6031_DEFINED */
